using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("zx_recipe")]
    public class ZxRecipeEntity
    {
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }
        
        /// <summary>
        /// 备  注:配方编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_code")]
        public string RecipeCode { get; set; }

        /// <summary>
        /// 备  注:配方名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_name")]
        public string RecipeName { get; set; } = null;

        /// <summary>
        /// 备  注:SPEC编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_spec_code")]
        public string RecipeSpecCode { get; set; } = null;

        /// <summary>
        /// 备  注:SPEC规格
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_spec_name")]
        public string RecipeSpecName { get; set; } = null;

        /// <summary>
        /// 备  注:寸别
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "size_kind")]
        public int? SizeKind { get; set; }

        /// <summary>
        /// 备  注:固定胶宽度
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "fixed_width")]
        public decimal? FixedWidth { get; set; }

        /// <summary>
        /// 备  注:重量公差(%)
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "weight_error")]
        public int? WeightError { get; set; }

        /// <summary>
        /// 备  注:是否使用
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_use")]
        public bool? IsUse { get; set; }

        /// <summary>
        /// 备  注:是否已删除
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_deleted")]
        public bool? IsDeleted { get; set; }


    }

}